> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/core/get-started/faq/where-to-call-initialize.md).

# Where should I call the PDFNet initialize?

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

This is a very common question when using PDFNet for the first time. PDFNet `initialize` must be called before any other methods call with PDFNet.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
pdftron.PDFNet.Initialize("YOUR APRYSE  LICENSE KEY::Testing::123");
```

{% endcode %}
{% endtab %}

{% tab title="C++" %}
{% code lineNumbers="true" %}

```cpp
PDFNet::Initialize("YOUR APRYSE  LICENSE KEY::Testing::123");
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
PDFNet.initialize("YOUR APRYSE  LICENSE KEY::Testing::123");
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
// Use runWithCleanup instead of initialize
// PDFNet initialize is called within runWithCleanup
// runWithCleanup will also perform automatic memory management
PDFNet.runWithCleanup(callback, "YOUR APRYSE  LICENSE KEY::Testing::123");

// Optional alternative to call initialize directly 
PDFNet.initialize("YOUR APRYSE  LICENSE KEY::Testing::123");
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
[PTPDFNet Initialize:@"YOUR APRYSE  LICENSE KEY::Testing::123"];
```

{% endcode %}
{% endtab %}

{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
PTPDFNet.initialize("YOUR APRYSE  LICENSE KEY::Testing::123")
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code lineNumbers="true" %}

```php
PDFNet::Initialize("YOUR APRYSE  LICENSE KEY::Testing::123");
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
PDFNet.Initialize("YOUR APRYSE  LICENSE KEY::Testing::123")
```

{% endcode %}
{% endtab %}

{% tab title="Ruby" %}
{% code lineNumbers="true" %}

```ruby
PDFNet.Initialize("YOUR APRYSE  LICENSE KEY::Testing::123")
```

{% endcode %}
{% endtab %}
{% endtabs %}

The best location would be your application start-up function (such as `main()`, `OnAppStart()`, `DLLMain()`, etc. - depending on our application type and development platform).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/core/get-started/faq/where-to-call-initialize.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
